Developers

Export vacation report by user into pdf file

GET
/calendar/vacation-reports/by-user/pdf

Export vacation report by user into pdf file

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

userIds[]?array<>

Ids of users that VacationReport is going to be returned for. If empty - return all possible.

vacationTypeIds[]?array<>

Ids of VacationTypes. If empty - return all.

dateStart*string
Formatdate-time
dateEnd*string
Formatdate-time
saveReport?boolean

If true, generated file will be saved as UserReport

Defaultfalse
saveReportName?string

Name for saved report. Required if saveReport=true

Length1 <= length <= 255
saveReportDescription?string

Description for saved report

Length1 <= length <= 5000

Response Body

curl -X GET "https://example.com/calendar/vacation-reports/by-user/pdf?dateStart=2019-08-24T14%3A15%3A22Z&dateEnd=2019-08-24T14%3A15%3A22Z"
[  {    "key": "string",    "downloadUrl": "string"  }]